[java-idp-plugin-jetty] branch main updated: Fix error detection logic for existing Jetty files.

Scott Cantor cantor.2 at osu.edu
Wed Nov 12 18:34:38 UTC 2025


This is an automated email from the git hooks/post-receive script.

scantor pushed a commit to branch main
in repository java-idp-plugin-jetty.

View the commit online:
https://git.shibboleth.net/view/?p=java-idp-plugin-jetty.git;a=commit;h=d3fc671596946ccec80e69c28d4cba678478cf58

The following commit(s) were added to refs/heads/main by this push:
     new d3fc671  Fix error detection logic for existing Jetty files.
d3fc671 is described below

commit d3fc671596946ccec80e69c28d4cba678478cf58
Author: Scott Cantor <cantor.2 at osu.edu>
AuthorDate: Wed Nov 12 13:34:35 2025 -0500

    Fix error detection logic for existing Jetty files.
---
 .../shibboleth/idp/module/jetty/downloadjetty.sh   | 27 +++++++++++-----------
 1 file changed, 13 insertions(+), 14 deletions(-)

diff --git a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.sh b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.sh
index d531d41..8e30e35 100644
--- a/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.sh
+++ b/jetty-impl/src/main/resources/net/shibboleth/idp/module/jetty/downloadjetty.sh
@@ -7,26 +7,25 @@ LOCATION=$(dirname $0)
 CLASSPATH=$LOCATION/net.shibboleth.idp.jetty-base/jetty-cli.jar
 export CLASSPATH
 
-if [ -e "$LOCATION/jetty-dist/jetty-home-$1.tar.gz" ] ; then
-  echo "Error: $LOCATION/jetty-dist/jetty-home-$1.tar.gz already exists"
-  exit 1
-fi
-
-if [ -e "$LOCATION/jetty-dist/jetty-home-$1" ] ; then
-  echo "Error: $LOCATION/jetty-dist/jetty-home-$1 already exists"
-  exit 1
-fi
-
-
 VERSION=""
 if [ "$#" -ge "1" -a "${1:0:1}" != "-" ] ; then
-    VERSION="-v $1"
+    VERSION="$1"
     shift
 elif [ "$#" -eq "0" ] ; then
     while [ -z "$VERSION" ] ; do
         read -p "Jetty version to download: " VERSION
-        VERSION="-v $VERSION"
     done
 fi
 
-$LOCATION/runclass.sh -Dnet.shibboleth.idp.cli.arguments=net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadArugments net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadCLI --home "$LOCATION/.." ${VERSION} "$@"
+if [ -e "$LOCATION/../jetty-dist/jetty-home-$VERSION.tar.gz" ] ; then
+  echo "Error: $LOCATION/../jetty-dist/jetty-home-$VERSION.tar.gz already exists"
+  exit 1
+fi
+
+if [ -e "$LOCATION/../jetty-dist/jetty-home-$VERSION" ] ; then
+  echo "Error: $LOCATION/../jetty-dist/jetty-home-$VERSION already exists"
+  exit 1
+fi
+
+
+$LOCATION/runclass.sh -Dnet.shibboleth.idp.cli.arguments=net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadArugments net.shibboleth.idp.plugin.jetty.cli.impl.JettyDownloadCLI --home "$LOCATION/.." -v "${VERSION}" "$@"

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the commits mailing list